PublicService

Full documentation for this service is available at /documentation/public-service.

GetSearchResultAdvanced |WebMethod|

DEPRECATED: Use SearchAdvanced in SearchService instead. Search for items with advanced parameters.

Parameters
  1. query, The Query with search parameters.
Returns

Filled SearchResult object

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/PublicService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/GetSearchResultAdvanced"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetSearchResultAdvanced xmlns="http://api.tradera.com">
      <query>query</query>
    </GetSearchResultAdvanced>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetSearchResultAdvancedResponse xmlns="http://api.tradera.com">
      <GetSearchResultAdvancedResult>Filled SearchResult object</GetSearchResultAdvancedResult>
    </GetSearchResultAdvancedResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/PublicService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetSearchResultAdvanced xmlns="http://api.tradera.com">
      <query>query</query>
    </GetSearchResultAdvanced>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetSearchResultAdvancedResponse xmlns="http://api.tradera.com">
      <GetSearchResultAdvancedResult>Filled SearchResult object</GetSearchResultAdvancedResult>
    </GetSearchResultAdvancedResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/PublicService.asmx/GetSearchResultAdvanced?appId=string&appKey=string&query=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetSearchResultAdvancedResult xmlns="http://api.tradera.com">Filled SearchResult object</GetSearchResultAdvancedResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/PublicService.asmx/GetSearchResultAdvanced HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&query=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetSearchResultAdvancedResult xmlns="http://api.tradera.com">Filled SearchResult object</GetSearchResultAdvancedResult>